summaryrefslogtreecommitdiff
path: root/tools/tox-venv
diff options
context:
space:
mode:
authorScott Moser <smoser@ubuntu.com>2015-02-11 12:08:23 -0500
committerScott Moser <smoser@ubuntu.com>2015-02-11 12:08:23 -0500
commit95f135e9f2415b8f89534528641220a0ef9fe570 (patch)
treef5ce5be4514225a74b8ef5495ff9f2a9cca443af /tools/tox-venv
parentcf48254eb4a8364ceaeb710607c4b21ba5cbe8a6 (diff)
downloadvyos-cloud-init-95f135e9f2415b8f89534528641220a0ef9fe570.tar.gz
vyos-cloud-init-95f135e9f2415b8f89534528641220a0ef9fe570.zip
add tools/tox-venv for running in a tox env
Diffstat (limited to 'tools/tox-venv')
-rwxr-xr-xtools/tox-venv42
1 files changed, 42 insertions, 0 deletions
diff --git a/tools/tox-venv b/tools/tox-venv
new file mode 100755
index 00000000..76ed5076
--- /dev/null
+++ b/tools/tox-venv
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+error() { echo "$@" 1>&2; }
+fail() { [ $# -eq 0 ] || error "$@"; exit 1; }
+Usage() {
+ cat <<EOF
+Usage: ${0##*/} tox-environment [command [args]]
+ run command with provided arguments in the provided tox environment
+ command defaults to \${SHELL:-/bin/sh}.
+
+ invoke with '--list' to show available environments
+EOF
+}
+list_toxes() {
+ local td="$1" pre="$2" d=""
+ ( cd "$tox_d" &&
+ for d in *; do [ -f "$d/bin/activate" ] && echo "${pre}$d"; done)
+}
+
+[ $# -eq 0 ] && { Usage 1>&2; exit 1; }
+[ "$1" = "-h" -o "$1" = "--help" ] && { Usage; exit 0; }
+
+env="$1"
+shift
+tox_d="${0%/*}/../.tox"
+activate="$tox_d/$env/bin/activate"
+
+
+[ -d "$tox_d" ] || fail "$tox_d: not a dir. maybe run 'tox'?"
+
+[ "$env" = "-l" -o "$env" = "--list" ] && { list_toxes ; exit ; }
+
+if [ ! -f "$activate" ]; then
+ error "$env: not a valid tox environment?"
+ error "try one of:"
+ list_toxes "$tox_d" " "
+ fail
+fi
+. "$activate"
+
+[ "$#" -gt 0 ] || set -- ${SHELL:-/bin/bash}
+debian_chroot="tox:$env" exec "$@"